de.esprit.netsuite.server.webserver

## Class WebRequestHandler

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<ServerContext>
      - - de.esprit.netsuite.server.webserver.WebRequestHandler

- All Implemented Interfaces:
    com.sun.net.httpserver.HttpHandler, ApplicationObject<ServerContext>, SimpleLogSupport, Dumpable, ServerObject<ServerContext>

      public class WebRequestHandler
      extends AbstractServerObject<ServerContext>
      implements com.sun.net.httpserver.HttpHandler

  This class handles the incoming requests of the esprit web-service.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebRequestHandler(ServerContext serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(com.sun.net.httpserver.HttpExchange request)`
    `protected void` | `handleGetRequest(com.sun.net.httpserver.HttpExchange request)`
    `protected void` | `handlePostRequest(com.sun.net.httpserver.HttpExchange req)`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `checkPermission, getServerConfig, getServerContext, getStatisticManager, toString`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WebRequestHandler

          public WebRequestHandler(ServerContext serverCtx)

  - ### Method Detail

    - #### handle

          public void handle(com.sun.net.httpserver.HttpExchange request)
                      throws java.io.IOException

      Specified by:
        `handle` in interface `com.sun.net.httpserver.HttpHandler`
      Throws:
        `java.io.IOException`

    - #### handlePostRequest

          protected void handlePostRequest(com.sun.net.httpserver.HttpExchange req)
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### handleGetRequest

          protected void handleGetRequest(com.sun.net.httpserver.HttpExchange request)
                                   throws WebServerException

      Throws:
        `WebServerException`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.